Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser Class Reference

Generic limitation value parser. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser:

## Public Member Functions
| __construct ($limitationRouteParameterName, $limitationClass)
| LimitationParser constructor. More...
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Member Functions
| buildLimitation ()
| parseIdFromHref ($limitationValue)

## Private Attributes
| $limitationRouteParameterName
| $limitationClass

## Additional Inherited Members
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Generic limitation value parser.

Instances are built with:

- The name of a route parameter, that will be searched for limitation values Example: "sectionId" from "/content/section/{sectionId}"
- The FQN of the limitation value object that the parser builds

Definition at line 22 of file RouteBasedLimitationParser.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser::__construct | ( |  | $limitationRouteParameterName,
|  |  | $limitationClass
| ) |  |

LimitationParser constructor.

Parameters

  string | $limitationRouteParameterName |
  string | $limitationClass |

Definition at line 46 of file RouteBasedLimitationParser.php.

References eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser\$limitationClass, and eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser\$limitationRouteParameterName.

## Member Function Documentation

## ◆ buildLimitation()

eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser::buildLimitation | ( |  | ) |
| protected

Returns
  \eZ\Publish\API\Repository\Values\User\Limitation

Definition at line 86 of file RouteBasedLimitationParser.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser\parse().

## ◆ parse()

eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Returns
  \eZ\Publish\API\Repository\Values\ValueObject

Definition at line 60 of file RouteBasedLimitationParser.php.

References eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser\buildLimitation(), and eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser\parseIdFromHref().

## ◆ parseIdFromHref()

eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser::parseIdFromHref | ( |  | $limitationValue | ) |
| protected

Parameters

  $limitationValue |

Returns
  false|mixed

Reimplemented in eZ\Publish\Core\REST\Server\Input\Parser\Limitation\PathStringRouteBasedLimitationParser.

Definition at line 96 of file RouteBasedLimitationParser.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser\parse().

## Member Data Documentation

## ◆ $limitationClass

eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser::$limitationClass
| private

Definition at line 38 of file RouteBasedLimitationParser.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser\__construct().

## ◆ $limitationRouteParameterName

eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser::$limitationRouteParameterName
| private

Definition at line 30 of file RouteBasedLimitationParser.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Limitation\RouteBasedLimitationParser\__construct().

The documentation for this class was generated from the following file:

- RouteBasedLimitationParser.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.